Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
Lucene::LongRangeBuilder Class Reference

Callback for splitLongRange. You need to overwrite only one of the methods. NOTE: This is a very low-level interface, the method signatures may change in later versions. More...

`#include <NumericUtils.h>`

Inheritance diagram for Lucene::LongRangeBuilder:

## Public Member Functions

virtual | ~LongRangeBuilder ()
virtual void | addRange (const String &minPrefixCoded, const String &maxPrefixCoded)
| Overwrite this method, if you like to receive the already prefix encoded range bounds. You can directly build classical (inclusive) range queries from them. More...
virtual void | addRange (int64_t min, int64_t max, int32_t shift)
| Overwrite this method, if you like to receive the raw long range bounds. You can use this for eg. debugging purposes (print out range bounds). More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Callback for splitLongRange. You need to overwrite only one of the methods. NOTE: This is a very low-level interface, the method signatures may change in later versions.

## Constructor & Destructor Documentation

virtual Lucene::LongRangeBuilder::~LongRangeBuilder | ( |  | ) |

virtual

## Member Function Documentation

virtual void Lucene::LongRangeBuilder::addRange | ( | const String & | minPrefixCoded,
|  | const String & | maxPrefixCoded
| ) |  |

virtual

Overwrite this method, if you like to receive the already prefix encoded range bounds. You can directly build classical (inclusive) range queries from them.

virtual void Lucene::LongRangeBuilder::addRange | ( | int64_t | min,
|  | int64_t | max,
|  | int32_t | shift
| ) |  |

virtual

Overwrite this method, if you like to receive the raw long range bounds. You can use this for eg. debugging purposes (print out range bounds).

The documentation for this class was generated from the following file:

- NumericUtils.h

clucene.sourceforge.net